<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('product', function (Blueprint $table) {
            $table->id();
            $table->integer('category_id');
            $table->string('product_name');
            $table->string('product_tags');
            $table->string('sku');
            $table->string('product_image');
            $table->double('product_price');
            $table->double('cutted_price')->nullable();
            $table->longText('product_size')->nullable();
            $table->longText('product_description')->nullable();
            $table->integer('qty')->nullable();
            $table->integer('views')->nullable();
            $table->double('weight');
            $table->integer('rating')->nullable();
            $table->integer('order')->nullable();
            $table->integer('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
